NAME
	file_stat - stat a file

SYNTAX
	int *file_stat(string file);
	or
	int *file_stat(string file, 1);
	or
	int *file->stat();

DESCRIPTION
	file_stat returns an array of integers describing some properties
	about the file. Currently file_stat returns 7 entries:
	({
	   mode,	/* file mode, protection bits etc. etc. */
	   size,	/* file size for regular files,
	   	           -2 for dirs,
	   	           -3 for links,
	   	           -4 for otherwise */
	   atime,	/* last access time */
	   mtime,	/* last modify time */
	   ctime,	/* last status time change */
	   uid,  	/* The user who owns this file */
	   gid   	/* The group this file belongs to */
	})
	If you give 1 as a second argument, file_stat does not follow links.
	You can never get -3 as size if you don't give a second argument.

	If there is no such file or directory, zero is returned.

KEYWORDS
	file

SEE ALSO
	files/get_dir
